Mail archive
alpine-aports

[alpine-aports] [PATCH] community/php7: fix conflict with php5

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 30 Mar 2017 16:31:20 +0300

fix conflict if both php5-dev, php7-dev would be installed
fix php5-dev depends (add autoconf, pcre-dev)
---
 community/php7/APKBUILD | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)
diff --git a/community/php7/APKBUILD b/community/php7/APKBUILD
index 416b69e853..49812d74d2 100644
--- a/community/php7/APKBUILD
+++ b/community/php7/APKBUILD
_at_@ -3,13 +3,16 @@
 pkgname=php7
 _pkgreal=php
 pkgver=7.0.17
-pkgrel=1
+pkgrel=2
 pkgdesc="The PHP language runtime engine - 7th branch"
 url="http://www.php.net/"
 arch="all"
+provides="php"
+replaces="php5"
 license="PHP-3"
 options=""
 depends="$pkgname-common"
+depends_dev="$pkgname autoconf pcre-dev"
 depends_dom="$pkgname-xml"
 depends_mysqlnd="$pkgname-mysqli"
 depends_phar="$pkgname"
_at_@ -192,8 +195,7 @@ package() {
 
 dev() {
 	default_dev
-	replaces="php-dev"
-	depends="$depends $pkgname $pkgname-pear"
+	replaces="$replaces-dev"
 
 	mkdir -p "$subpkgdir"/usr/bin \
 		"$subpkgdir"/usr/lib/$pkgname || return 1
_at_@ -289,6 +291,7 @@ fpm() {
 pear() {
 	pkgdesc="PHP Extension and Application Repository"
 	depends="$pkgname $pkgname-xml"
+	replaces="$replaces-pear"
 
 	mkdir -p "$subpkgdir"/usr/bin \
 		"$subpkgdir"/etc/$pkgname
-- 
2.12.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 30 2017 - 16:31:20 GMT